%define	name	audiofile
%define ver     0.1.9
%define rel     4
%define prefix  /usr

Summary: Library to handle various audio file formats.
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: Applications/Multimedia
License: LGPL
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{ver}.tar.gz
URL: http://www.68k.org/~michael/audiofile/
Serial: 2000081101
Distribution: TurboLinux
Requires: dev
BuildRoot: /var/tmp/%{name}-%{ver}-root
PreReq: ldconfig
#NoSource: 0


%description
Library to handle various audio file formats.
Used by the esound daemon.

%package devel
Summary: Libraries, includes and other files to develop audiofile applications.
Group: Development/Libraries

%description devel
Libraries, include files and other resources you can use
to develop audiofile applications.


%changelog
* Thu Sep 14 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- applied new SPEC rule

* Fri Aug 11 2000 SL Baur  <steve@turbolinux.co.jp>
- update for new machines

* Fri Aug  4 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- add dev package into Reuires for gnome-libs

* Thu Jun 22 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- applied Unified SPEC rule

*Mon Jan 31 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- Rebuild for TurboLinux Workstation 6.0J

*Thu Oct 21 1999 Go taniguchi <taniguchi@arcbrain.co.jp>
- Rebuild for TurboLinuxJ

* Tue Sep 14 1999 Elliot Lee <sopwith@redhat.com>
- 0.1.8pre (take whatever is in CVS).

* Fri Aug 13 1999 Michael Fulbrght <drmike@redhat.com>
- version 1.7.0

* Sun Apr 18 1999 Matt Wilson <msw@redhat.com>
- updated patch from DaveM

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- added patch from Dave Miller to disable byte swapping in decoding

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries before packaging

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- Version 0.1.6

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- Removed libtoolize from %build

* Wed Feb 3 1999 Jonathan Blandfor <jrb@redhat.com>
- Newer version with bug fix.  Upped release.

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- integrating into rawhide release at GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file
#-----------------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{ver}


%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make exec_prefix=$RPM_BUILD_ROOT/%{prefix} prefix=$RPM_BUILD_ROOT/%{prefix} install 
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/not strip/ { print $1 }'`


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc COPYING TODO README ChangeLog docs
%{prefix}/bin/sfconvert
%{prefix}/bin/sfinfo
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/audiofile-config
%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/include/*
