# Note this is NOT a relocatable thing
%define	name		bonobo
%define ver			0.9
%define	rel			1
%define prefix		/usr
%define sysconfdir	/etc


Summary: Library for compound documents in GNOME
Summary(ja): GNOMEǼ¸륳ѥɥɥѥ饤֥
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/bonobo/%{name}-%{ver}.tar.gz
URL: http://www.gnome.org/
BuildRoot: /var/tmp/%{name}-root


%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.


%package devel
Summary: Libraries and include files for the Bonobo document model
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}
Obsoletes: %{name}-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model.


%changelog
* Mon Apr  3 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- first package for TurboLinux

* Wed Nov 10 1999 Alexander Skwar <ASkwar@DigitalProjects.com>
- Updated to version 0.5
- fixed spec file
- Un-quiet things
- stripped binaries
- unsetted language environment variables

* Sat Oct 2 1999 Gregory McLean <gregm@comstar.net>
- Updated the spec for version 0.4
- Updated the files section.

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file


%prep
%setup


%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG
CFLAGS="$RPM_OPT_FLAGS" ./configure $MYARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
#
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install
for FILE in "$RPM_BUILD_ROOT/bin/*"; do
	file "$FILE" | grep -q not\ stripped && strip $FILE
done


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%dir %{prefix}/share/gnome/bonobo
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{prefix}/bin/bonobo-application-x-mines
%{prefix}/bin/bonobo-audio-ulaw
%{prefix}/bin/bonobo-image-x-png
%{prefix}/bin/bonobo-text-plain
%{prefix}/bin/efstool
%{prefix}/bin/paint-component-simple
%{prefix}/bin/sample-container
%{prefix}/lib/lib*.so.*
%defattr(-, root, root)
%{prefix}/share/gnome/bonobo/docs/*
%{prefix}/share/locale/*/LC_MESSAGES/*
%{prefix}/share/mime-info/bonobo.keys
%{sysconfdir}/CORBA/servers/*

%files devel
%defattr(-, root, root)
%{prefix}/lib/*.a
%{prefix}/lib/*.so
%{prefix}/lib/*.la
%{prefix}/lib/*Conf.sh
%{prefix}/include/efs.h
%{prefix}/include/bonobo.h
%dir %{prefix}/include/bonobo
%{prefix}/include/bonobo/*.h
%{prefix}/share/idl/*.idl