%define distrib		TurboLinux
%define name		glibc-locale
%define ver			2.1.3
%define rel			6jaJP
%define	localever	14
%define prefix      /usr


Summary: glibc locale data for japanese
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
Copyright: LGPL
Source: ftp://ftp.debian.org/debian/dists/potato/main/source/admin/locale-ja_%{localever}.tar.gz
Patch10: glibc-locale-2.1.3-jaJPynfix.patch
Serial: 2000101801
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: glibc >= 2.1.3
Buildrequires: glibc >= 2.1.3
Obsoletes: glibc-locale-ja13, glibc-locale-ja
BuildArch: noarch
#NoSource: 0


%description
glibc locale data for japanese

%changelog
* Wed Oct 18 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified Yes or No questions expr again.

* Wed Oct 18 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Modified Yes or No questions expr. (patch#10)

* Wed Aug 09 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Updated original source to locale-ja_14
- Changed Yen symbol from "$" to "\".

* Mon Aug 07 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- Added glibc-locale-ja entry in Obsoletes .

* Thu Apr 27 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- clean up spec file for TurboLinux
- change package name and obsolute old package

* Sat Mar 11 2000 Go Taniguchi <go@turbolinux.co.jp>
- generate japanese locale data from locale-ja-13
- separate japanese locale

#--------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT

%setup -n locale-ja-%{localever}
%patch10 -p1 -b .ynfix


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/{locale/ja_JP,i18n/{charmaps,locales}}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/ja_JP

install -c -m644 ja_JP $RPM_BUILD_ROOT%{prefix}/share/i18n/locales/
install -c -m644 charmaps/EUC-JP $RPM_BUILD_ROOT%{prefix}/share/i18n/charmaps/
%{prefix}/bin/localedef -c -f charmaps/EUC-JP -i ja_JP \
  -u %{prefix}/share/i18n/repertoiremaps/mnemonic.ds $RPM_BUILD_ROOT%{prefix}/share/locale/ja_JP

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/ja/LC_MESSAGES
( cd $RPM_BUILD_ROOT%{prefix}/share/locale/ja
  ln -s ../ja_JP/LC_COLLATE
  ln -s ../ja_JP/LC_CTYPE
  ln -s ../ja_JP/LC_MONETARY
  ln -s ../ja_JP/LC_NUMERIC
  ln -s ../ja_JP/LC_TIME
  ln -s ../../ja_JP/LC_MESSAGES/SYS_LC_MESSAGES LC_MESSAGES/
)
cp -a $RPM_BUILD_ROOT%{prefix}/share/locale/ja $RPM_BUILD_ROOT%{prefix}/share/locale/ja_JP.ujis
cp -a $RPM_BUILD_ROOT%{prefix}/share/locale/ja $RPM_BUILD_ROOT%{prefix}/share/locale/ja_JP.eucJP


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root, root)
%doc debian/changelog debian/copyright
%{prefix}/share/locale/ja*
%{prefix}/share/i18n/locales/ja_JP
%{prefix}/share/i18n/charmaps/EUC-JP

