%define	name		gtk+
%define ver			1.2.8
%define rel			1
%define prefix		/usr
%define sysconfdir	/etc
%define	serial		2000052901
%define	locale		ja_JP.ujis


Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Summary(ja): GIMP ġ륭å(GTk)XѤGUI饤֥
Name: %{name}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
Copyright: LGPL
Source0: ftp://ftp.gtk.org/pub/gtk/v1.2/%{name}-%{ver}.tar.gz
Source1: gtkrc-default
Source2: gtkrc.iso10646
Source3: utf8-locale-list.txt
Patch0: gtk+-1.2.8-Turbo-20000527.patch
Patch1: gtk+-1.2.7-Makefile.in.patch
Patch2: gtk+-1.2.8-japo.patch
URL: http://www.gtk.org/
Serial: %{serial}
Distribution: TurboLinux
BuildRoot: /var/tmp/%{name}-%{ver}-root
Requires: glib
Buildrequires: glib
PreReq: ldconfig, bash,  /sbin/install-info
#NoSource: 0


%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for
creating graphical user interfaces for the X Window System.  GTK+ was
originally written for the GIMP (GNU Image Manipulation Program) image
processing program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses
GTK+, you'll need to have the gtk+ package installed.

%description -l ja
gtk+ѥåGIMPġ륭å(GTK+)ȤX WindowƥǤ
ե桼󥿡ե饤֥ޤǤޤ
GTK+GIMP(GNU Image Manipulation Program)Υ᡼ץ
ҤƤߤ¾ΥץˤäƤƱͤ˻ȤƤ롣

⤷GIMPȤGTK+ȤäƤץʤɤѤʤ顢gtk+
ѥå򥤥󥹥ȡ뤹ɬפޤ

%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/Libraries
Requires: gtk+ = %{PACKAGE_VERSION}
Requires: glib-devel
Requires: XFree86-devel
Obsoletes: gtk-devel
PreReq: /sbin/install-info

%description devel
The gtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications.  The
gtk+-devel package contains glib (a collection of routines for
simplifying the development of GTK+ applications), GDK (the General
Drawing Kit, which simplifies the interface for writing GTK+ widgets
and using GTK+ widgets in applications), and GTK+ (the widget set).

Install gtk+-devel if you need to develop GTK+ applications.  You'll
also need to install the gtk+ package.

%description devel -l ja
gtk+-develѥåGTK+(GIMP ġ륭å)ץꥱȯΤ
ɬפʥƥå饤֥ȥإåեޤǤޤ
gtk+-develѥåglib(GTKץꥱγȯưפˤ뤿˽줿
ؿ)䡢GDK(ѥɥ󥰥åȡϥץꥱ󤫤GTK+åȤ
ҤѤ뤿δʰץ󥿡ե)GTK+(åȥå)ޤǤޤ

⤷GTK+ץꥱȯɬפʤСgtk+-develѥå
󥹥ȡ뤷ƤƱgtk+ѥåΥ󥹥ȡɬפǤ


%changelog
* Mon May 29 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto v1.2.8
- modified patch for v1.2.8
- add gtkrc for iso10646 included utf8 fontsets
- add symlink gtkrc of each locale from gtkrc.iso10646 in %post section

* Thu May 11 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- cleanup SPEC file format for CVS managment

* Thu Apr  6 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- modified cursor display function in gtktext.c

* Mon Feb 28 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- update gtkWidget patch for TurboLinux Workstation 6.0J

* Fri Feb 25 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- update to v1.2.7 fontset patch for TurboLinux Workstation 6.0JP

* Sat Feb 19 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- update to v1.2.7 for TurboLinux Workstation 6.0JP
- remove gtk-comv functions

* Mon Jan 24 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- rebuild for TurboLiniux Workstation 6.0JP

* Mon Nov 15 1999 Go Taniguchi <taniguchi@arcbrain.co.jp>
- fixed fontsel patch and disp multi byte char

* Thu Nov  4 1999 Go Taniguchi <taniguchi@arcbrain.co.jp>
- added fontsel patches from gtk/gnome-ML
- with wordwrap patch
- delete gdk-fontsetload patch, gtkstyle-jp patch

* Wed Oct 14 1999 Go Taniguchi <taniguchi@arcbrain.co.jp>
- add GTK-conv patch 

* Wed Oct 13 1999 Go Taniguchi <taniguchi@arcbrain.co.jp>
- rebuild for TL4

* Thu Oct 7  1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.6

* Fri Sep 27 1999 Go Taniguchi <taniguchi@arcbrain.co.jp>
- include gdk-fontsetload patch, gtkstyle-jp patch

* Thu Sep 23 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.5
- install tutorial GIFs

* Wed Sep 22  1999 Owen Taylor <otaylor@redhat.com>
- Upgrade to real 1.2.5pre2
- Changed name so upgrade to 1.2.5 will work :-(
- Add extra gtkrc files
- Add examples and English language tutorial to -devel package

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- Upgraded to 1.2.5pre2. (Actually, pre-pre-2)

* Tue Aug 17 1999 Michael Fulbright <drmike@redhat.com>
- added threaded patch

* Mon Jun 7 1999 Owen Taylor <otaylor@redhat.com>
- Update for GTK+-1.2.3
- Patches that will be in GTK+-1.2.4
- Patch to keep GTK+ from coredumping on X IO errors
- Patch to improve compatilibity with GTK-1.2.1 (allow
  event mask to be set on realized widgets)

* Mon Apr 19 1999 Michael Fulbright <drmike@redhat.com>
- fixes memory leak

* Mon Apr 12 1999 Owen Taylor <otaylor@redhat.com>
- The important bug fixes that will be in GTK+-1.2.2

* Thu Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- patches from owen to handle various gdk bugs

* Sun Mar 28 1999 Michael Fulbright <drmike@redhat.com>
- added XFree86-devel requirement for gtk+-devel

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- removed /usr/info/dir.gz file from package

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2.0

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre2, patched to use --sysconfdir=/etc

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- patched in Owen's patch to fix Metal theme

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- bumped up to 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- added Theme directory to file list
- up to 1.1.7 for GNOME freeze

* Sun Oct 25 1998 Shawn T. Amundson <amundson@gtk.org>
- Fixed Source: to point to v1.1 

* Tue Aug 04 1998 Michael Fulbright <msf@redhat.com>
- change %postun to %preun

* Mon Jun 27 1998 Shawn T. Amundson
- Changed version to 1.1.0

* Thu Jun 11 1998 Dick Porter <dick@cymru.net>
- Removed glib, since it is its own module now

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Tue Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>

#--------------------------------------------------
%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{ver}
install -c -m444 %{SOURCE3} ./utf8-locale-list.txt
%patch0 -p1 -b .20000527
%patch1 -p1 -b .makefile
%patch2 -p1 -b .org


%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}         \
            --sysconfdir=%{sysconfdir} \
            --with-locale=%{locale}    \
            --with-xinput=xfree

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/%{sysconfdir} install

# Make cleaned-up versions of examples and tutorial for installation
./mkinstalldirs tmpdocs/tutorial
install -m 0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
for dir in examples/* ; do
    if [ -d $dir ] ; then
       ./mkinstalldirs tmpdocs/$dir
       install -m 0644 $dir/* tmpdocs/$dir
    fi
done

# Make some extra gtkrc files for languages supported in Red Hat,
# but for which we don't have translations for GTK+
cd $RPM_BUILD_ROOT/etc/gtk
mv gtkrc.sr gtkrc.sr.iso88595
ln -s gtkrc.iso-8859-2 gtkrc.sr
install -c -m644 %{SOURCE1} $RPM_BUILD_ROOT%{sysconfdir}/gtk/gtkrc
install -c -m644 %{SOURCE2} $RPM_BUILD_ROOT%{sysconfdir}/gtk/gtkrc.iso10646
# gzip info
gzip -9 $RPM_BUILD_ROOT%{prefix}/info/*


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
for i in `cat %{_docdir}/%{name}-%{ver}/utf8-locale-list.txt`; do
  ln -sf %{sysconfdir}/gtk/gtkrc.iso10646 %{sysconfdir}/gtk/gtkrc.$i.utf8
done

%postun
/sbin/ldconfig
for i in `cat %{_docdir}/%{name}-%{ver}/utf8-locale-list.txt`; do
  if [ -f %{sysconfdir}/gtk/gtkrc.$i.utf8 ] ; then
    rm -f %{sysconfdir}/gtk/gtkrc.$i.utf8
  fi
done


%post devel
/sbin/install-info %{prefix}/info/gdk.info.gz %{prefix}/info/dir
/sbin/install-info %{prefix}/info/gtk.info.gz %{prefix}/info/dir


%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{prefix}/info/gdk.info.gz %{prefix}/info/dir
    /sbin/install-info --delete %{prefix}/info/gtk.info.gz %{prefix}/info/dir
fi


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO utf8-locale-list.txt
%config %{sysconfdir}/gtk/*
%{prefix}/lib/libgtk-1.2.so.*
%{prefix}/lib/libgdk-1.2.so.*
%{prefix}/share/themes/Default
%{prefix}/share/locale/*/*/*

%files devel
%defattr(-, root, root)
%doc tmpdocs/tutorial
%doc tmpdocs/examples
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/man/man1/*
%{prefix}/include/*
%{prefix}/share/aclocal/*
%{prefix}/bin/*
%{prefix}/info/*info*

