%define	distrib	TurboLinux
%define	nam	libjpeg
%define	ver	6b
%define	rel	9
%define	prefix	/usr
%define LIBVER 62.0.0

Summary: Library for handling different jpeg files.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: System Environment/Libraries
Copyright: Distributable
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
PreReq: /sbin/ldconfig
Serial: 2000060701
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
#NoSource: 0


%description
This package is a library of functions that manipulate jpeg images, along
with simple clients for manipulating jpeg images.


%package devel
Summary: headers and static libraries for developing programs using libjpeg
Group: Development/Libraries
Requires: libjpeg


%description devel
This package is all you need to develop programs that manipulate jpeg
images, including documentation.


%changelog
* Wed Jun 7 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- modified spec file

* Fri Jun  2 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed %build typo
- strip all command

* Mon Aug 03 1998 Scott Stone <sstone@turbolinux.com>
- Built on TL 2.0

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- up to release 4
- remove patch that set (improper) soname - libjpeg now does it itself

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed build on manhattan

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 6b

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package


%prep
rm -rf $RPM_BUILD_ROOT


%setup -n jpeg-6b


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
	--enable-shared --enable-static
make
LD_LIBRARY_PATH=$PWD make test


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{lib,include,bin,man/man1}
make prefix=$RPM_BUILD_ROOT%{prefix} install
strip -s $RPM_BUILD_ROOT%{prefix}/bin/*


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc usage.doc
%{prefix}/lib/*.so*
%{prefix}/bin/*
%{prefix}/man/*/*


%files devel
%defattr(-,root,root)
%doc libjpeg.doc coderules.doc
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/include/*.h
