%define	distrib	TurboLinux
%define	nam	xloadimage
%define	ver	4.1
%define	rel	13
%define	prefix	/usr

Summary: An X Window System based image viewer.
Name: %{nam}
Version: %{ver}
Release: %{rel}
Group: Amusements/Graphics
Copyright: MIT
Source: ftp://ftp.x.org/R5contrib/xloadimage.%{version}.tar.gz
Patch0: xloadimage.4.1-linux.patch
Patch1: xloadimage.4.1-nobr.patch
Serial: 2000060601
Distribution: %{distrib}
BuildRoot: /var/tmp/%{name}-%{version}-root
#NoSource: 0


%description
The xloadimage utility displays images in an X Window System window,
loads images into the root window, or writes images into a file.
Xloadimage supports many images types (GIF, TIFF, JPEG, XPM, XBM, etc.).

Install the xloadimage package if you need a utility for displaying
images or loading images into the root window.


%changelog
* Tue Jun 6 2000 Hirofumi Takeda <takepin@turbolinux.co.jp>
- modified spec file

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q -n xloadimage.4.1
%patch0 -p1
%patch1 -p1 -b .nobr

cd jpeg
mv Makefile Makefile.orig
ln -s makefile.ansi Makefile


%build
xmkmf
cd jpeg
make libjpeg.a
cd ..
make 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

make	DESTDIR=$RPM_BUILD_ROOT \
	SYSPATHFILE=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Xloadimage \
	install install.man


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
/usr/X11R6/lib/X11/app-defaults/Xloadimage
/usr/X11R6/bin/xloadimage
/usr/X11R6/bin/xview
/usr/X11R6/bin/xsetbg
/usr/X11R6/man/man1/xloadimage.1x
