#define gtkbeta         1

%define nam             glib
%define ver             1.3.2
%define rel             1
%define serial          2000120701

%define _prefix         /usr


Summary:        A library of handy utility functions.
Summary(ja):    ʥ桼ƥƥؿΥ饤֥
Name:           %{nam}%{?gtkbeta:-gtkbeta}
Version:        %{ver}
Release:        %{rel}
Group:          Development/Libraries
License:        LGPL
Source0:        ftp://ftp.gimp.org/pub/gtk/v1.3/%{nam}-%{version}.tar.gz 
URL:            http://www.gtk.org
Serial:         %{serial}
Distribution:   TurboLinux
BuildRoot:      /var/tmp/%{nam}-%{version}-root
PreReq:         ldconfig, bash
# NoSource: 0


%description
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th %{name} package because many of your applications will depend on this
library.
%{?gtkbeta:}
%{?gtkbeta:-- BETA DEVELOPMENT VERSION --}

%description -l ja
GLibϥ桼ƥƥؿ򽸤᤿ʥ饤֥ǤΣøѥ饤֥ϡ
Ĥ褹褦߷פƤꡢ¿Υץफ׵ᤵȤ䤹
ؿ󶡤ޤ

GLibGDK, GTK+¾¿ΥץꥱѤ롣Υ饤֥˰¸륢ץꥱ
Τˤglibѥå򥤥󥹥ȡ뤷Ƥ
%{?gtkbeta:}
%{?gtkbeta:-- BETA DEVELOPMENT VERSION --}


%package devel
Summary: The GIMP ToolKit (GTK+) and GIMP Drawing Kit (GDK) support library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The %{name}-devel package includes the static libraries and header files
for the support library for the GIMP's X libraries (GTK+ and GDK),
which are available as public libraries.

Install %{name}-devel if you want to develop programs which will use
GLib.
%{?gtkbeta:}
%{?gtkbeta:-- BETA DEVELOPMENT VERSION --}

%description devel -l ja
%{name}-develѥåˤϡ̥饤֥ȤͭGIMPX饤֥귲
(GtkGDK)򥵥ݡȤ饤֥˥ƥå饤֥ȥإå
ޤޤƤޤ
 
⤷GLibȤäƥץȯʤС%{name}-develѥå򥤥󥹥
뤷Ƥ
%{?gtkbeta:}
%{?gtkbeta:-- BETA DEVELOPMENT VERSION --}


%changelog
* Thu Dec 7 2000 Maxime Froment <maxime@turbolinux.co.jp>
- upgraded to 1.3.2

* Wed Sep 20 2000 Maxime Froment <maxime@turbolinux.co.jp>
- comment NoSource/NoPatch for new Centro specification

* Thu Aug 10 2000 Maxime Froment <maxime@turbolinux.co.jp>
- beta version 1.3.1

* Tue May 30 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- add symlink glibconfig.h from %{_libdir}/glib/include in %post, %postun sections

* Mon May 29 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- upto 1.2.8

* Wed May 10 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- cleanup SPEC for CVS version control

* Sat Feb 19 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- update v1.2.7 for TurboLinux Workstation 6.0J

* Mon Jan 24 2000 Takeshi Aihana <aihana@turbolinux.co.jp>
- rebuild for TurboLinux Workstation 6.0JP

* Wed Oct 13 1999 Go Taniguchi <taniguchi@arcbrain.co.jp>
- rebuild for TL4

* Thu Oct 7  1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.6

* Fri Sep 24 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.5

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.4

* Mon Jun 7 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.3

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre1

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- new description tags 

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- added libgthread to file list

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation for the GNOME freeze

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package
#--------------------------------------------------
%prep
rm -rf ${RPM_BUILD_ROOT}


%setup -q -n %{nam}-%{version}


%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir}
make


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
gzip -nf ${RPM_BUILD_ROOT}%{_mandir}/man?/*


%clean
rm -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/glib-2.0
%{_libdir}/pkgconfig/*
%{_includedir}/glib-2.0
%{!?gtkbeta:%{_mandir}/man*/*}
%{_datadir}/aclocal/*
%{_datadir}/gtk-doc/html/glib
%{_datadir}/gtk-doc/html/gobject