require '_h2ph_pre.ph';

unless(defined(&_LINUX_AIO_H)) {
    eval 'sub _LINUX_AIO_H () {1;}' unless defined(&_LINUX_AIO_H);
    unless(defined(&__KERNEL__)) {
	eval 'sub CONFIG_AIO () {1;}' unless defined(&CONFIG_AIO);
    }
    if(defined( &CONFIG_AIO)) {
	if(defined(&__KERNEL__)) {
	    require 'asm/siginfo.ph';
	} else {
	    require 'sys/types.ph';
	    require 'signal.ph';
	}
	eval 'sub AIO_THREAD_ENVIRON () {"AIO_NTHREADS";}' unless defined(&AIO_THREAD_ENVIRON);
	eval 'sub AIO_DEFAULT_THREADS () {4;}' unless defined(&AIO_DEFAULT_THREADS);
	eval 'sub AIO_MAX_THREADS () {64;}' unless defined(&AIO_MAX_THREADS);
	eval 'sub AIO_TIMES () {8;}' unless defined(&AIO_TIMES);
	if(defined( &__USE_FILE_OFFSET64) || defined( &AIO_FILE_OFFSET64) || defined( &__KERNEL__)) {
	} else {
	}
	if(defined( &__USE_LARGEFILE64) || defined( &AIO_LARGEFILE64)) {
	}
	eval 'sub AIOCMD_READ () {1;}' unless defined(&AIOCMD_READ);
	eval 'sub AIOCMD_SUSPEND () {2;}' unless defined(&AIOCMD_SUSPEND);
	eval 'sub AIOCMD_CANCEL () {3;}' unless defined(&AIOCMD_CANCEL);
	eval 'sub AIOCMD_RETURN () {4;}' unless defined(&AIOCMD_RETURN);
	eval 'sub AIOCMD_PCINVALIDATE () {5;}' unless defined(&AIOCMD_PCINVALIDATE);
	eval 'sub AIOCMD_SLAVE () {6;}' unless defined(&AIOCMD_SLAVE);
	eval 'sub AIOCMD_WRITE () {7;}' unless defined(&AIOCMD_WRITE);
	eval 'sub AIOCMD_GENERIC_READ () {8;}' unless defined(&AIOCMD_GENERIC_READ);
	eval 'sub AIOCMD_LIST_IO () {9;}' unless defined(&AIOCMD_LIST_IO);
	eval 'sub AIOTIME_REQUEST () {0;}' unless defined(&AIOTIME_REQUEST);
	eval 'sub AIOTIME_IO () {1;}' unless defined(&AIOTIME_IO);
	eval 'sub AIOTIME_COPY () {2;}' unless defined(&AIOTIME_COPY);
	if(!defined( &__USE_FILE_OFFSET64)  && !defined( &AIO_FILE_OFFSET64)) {
	} else {
	    if(defined(&__REDIRECT)) {
	    } else {
		eval 'sub aio_read () { &aio_read64;}' unless defined(&aio_read);
		eval 'sub aio_write () { &aio_write64;}' unless defined(&aio_write);
		eval 'sub lio_listio () { &lio_listio64;}' unless defined(&lio_listio);
		eval 'sub aio_return () { &aio_return64;}' unless defined(&aio_return);
		eval 'sub aio_cancel () { &aio_cancel64;}' unless defined(&aio_cancel);
		eval 'sub aio_suspend () { &aio_suspend64;}' unless defined(&aio_suspend);
	    }
	}
	eval 'sub aio_error {
	    local($a) = @_;
    	    eval q(($a)-> $aio_reserved[2]);
	}' unless defined(&aio_error);
	if(defined( &__USE_LARGEFILE64) || defined( &AIO_LARGEFILE64)) {
	    eval 'sub aio_error64 {
	        local($a) = @_;
    		eval q( &aio_error($a));
	    }' unless defined(&aio_error64);
	}
	eval 'sub AIO_CANCELED () {1;}' unless defined(&AIO_CANCELED);
	eval 'sub AIO_NOTCANCELED () {2;}' unless defined(&AIO_NOTCANCELED);
	eval 'sub AIO_ALLDONE () {3;}' unless defined(&AIO_ALLDONE);
	eval 'sub LIO_WAIT () {1;}' unless defined(&LIO_WAIT);
	eval 'sub LIO_NOWAIT () {2;}' unless defined(&LIO_NOWAIT);
	eval 'sub LIO_READ () {1;}' unless defined(&LIO_READ);
	eval 'sub LIO_WRITE () {2;}' unless defined(&LIO_WRITE);
	eval 'sub LIO_NOP () {3;}' unless defined(&LIO_NOP);
	if(defined(&__KERNEL__)) {
	    if(defined( &CONFIG_RAW)) {
		require 'linux/iobuf.ph';
	    }
	    if(defined( &CONFIG_RAW)) {
	    }
	    if(defined(&KAIO_STATS)) {
		eval 'sub kaio_set_time {
		    local($k, $x) = @_;
    		    eval q(($k)-> $kaio_times[($x)] =  &kaio_time());
		}' unless defined(&kaio_set_time);
	    } else {
		eval 'sub kaio_set_time {
		    local($k, $x) = @_;
    		    eval q();
		}' unless defined(&kaio_set_time);
	    }
	    eval 'sub aio_key () { $aio_reserved[0];}' unless defined(&aio_key);
	    undef(&aio_error) if defined(&aio_error);
	    eval 'sub aio_error () { $aio_reserved[2];}' unless defined(&aio_error);
	    eval 'sub aio_return () { $aio_reserved[3];}' unless defined(&aio_return);
	    eval 'sub KAIO_SLAVE_NAME () {"kaiod-";}' unless defined(&KAIO_SLAVE_NAME);
	    eval 'sub KAIO_SLAVE_NAMELEN () {6;}' unless defined(&KAIO_SLAVE_NAMELEN);
	}
    }
}
1;
